> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Get player's Skyblock Profiles

> Retrieves Hypixel Skyblock profiles for a given player UUID. Data is cached for improved performance.



## OpenAPI

````yaml https://stash.seraph.si/json get /skyblock/profiles/{player}
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /skyblock/profiles/{player}:
    get:
      tags:
        - Skyblock
        - Hypixel
      summary: Get player's Skyblock Profiles
      description: >-
        Retrieves Hypixel Skyblock profiles for a given player UUID. Data is
        cached for improved performance.
      parameters:
        - description: Player's UUID
          example: e59f2385-e32a-46c5-8493-27e1f4094e09
          in: path
          name: player
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/routes.HypixelProfiles'
          description: Successfully retrieved player's Skyblock profiles
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: 'Bad Request: Invalid UUID format'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/routes.HypixelProfiles'
          description: 'Not Found: Player profiles could not be retrieved or do not exist'
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/routes.HypixelProfiles'
          description: 'Too Many Requests: Rate limit exceeded by the external API'
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/routes.HypixelProfiles'
          description: 'Internal Server Error: External API returned an unexpected error'
components:
  schemas:
    routes.HypixelProfiles:
      properties:
        cause:
          type: string
        profiles: {}
        success:
          type: boolean
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````